## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate k256

Name:           rust-k256
Version:        0.13.4
Release:        %autorelease
Summary:        Secp256k1 elliptic curve library written in pure Rust

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/k256
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Remove criterion dev-dependency. The criterion crate is used for
#   micro-benchmarking, which adds no value to the packaging process.
Patch:          k256-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Secp256k1 elliptic curve library written in pure Rust with support for
ECDSA signing/verification/public-key recovery, Taproot Schnorr
signatures (BIP340), Elliptic Curve Diffie-Hellman (ECDH), and general-
purpose secp256k1 elliptic curve group operations which can be used to
implement arbitrary protocols.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arithmetic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arithmetic-devel %{_description}

This package contains library source intended for building other packages which
use the "arithmetic" feature of the "%{crate}" crate.

%files       -n %{name}+arithmetic-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bits-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bits-devel %{_description}

This package contains library source intended for building other packages which
use the "bits" feature of the "%{crate}" crate.

%files       -n %{name}+bits-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+critical-section-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+critical-section-devel %{_description}

This package contains library source intended for building other packages which
use the "critical-section" feature of the "%{crate}" crate.

%files       -n %{name}+critical-section-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+digest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+digest-devel %{_description}

This package contains library source intended for building other packages which
use the "digest" feature of the "%{crate}" crate.

%files       -n %{name}+digest-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ecdh-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ecdh-devel %{_description}

This package contains library source intended for building other packages which
use the "ecdh" feature of the "%{crate}" crate.

%files       -n %{name}+ecdh-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ecdsa-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ecdsa-devel %{_description}

This package contains library source intended for building other packages which
use the "ecdsa" feature of the "%{crate}" crate.

%files       -n %{name}+ecdsa-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ecdsa-core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ecdsa-core-devel %{_description}

This package contains library source intended for building other packages which
use the "ecdsa-core" feature of the "%{crate}" crate.

%files       -n %{name}+ecdsa-core-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+expose-field-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+expose-field-devel %{_description}

This package contains library source intended for building other packages which
use the "expose-field" feature of the "%{crate}" crate.

%files       -n %{name}+expose-field-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hash2curve-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hash2curve-devel %{_description}

This package contains library source intended for building other packages which
use the "hash2curve" feature of the "%{crate}" crate.

%files       -n %{name}+hash2curve-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hex-literal-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hex-literal-devel %{_description}

This package contains library source intended for building other packages which
use the "hex-literal" feature of the "%{crate}" crate.

%files       -n %{name}+hex-literal-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+jwk-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+jwk-devel %{_description}

This package contains library source intended for building other packages which
use the "jwk" feature of the "%{crate}" crate.

%files       -n %{name}+jwk-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+once_cell-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+once_cell-devel %{_description}

This package contains library source intended for building other packages which
use the "once_cell" feature of the "%{crate}" crate.

%files       -n %{name}+once_cell-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pem-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pem-devel %{_description}

This package contains library source intended for building other packages which
use the "pem" feature of the "%{crate}" crate.

%files       -n %{name}+pem-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pkcs8-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pkcs8-devel %{_description}

This package contains library source intended for building other packages which
use the "pkcs8" feature of the "%{crate}" crate.

%files       -n %{name}+pkcs8-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+precomputed-tables-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+precomputed-tables-devel %{_description}

This package contains library source intended for building other packages which
use the "precomputed-tables" feature of the "%{crate}" crate.

%files       -n %{name}+precomputed-tables-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+schnorr-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+schnorr-devel %{_description}

This package contains library source intended for building other packages which
use the "schnorr" feature of the "%{crate}" crate.

%files       -n %{name}+schnorr-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serdect-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serdect-devel %{_description}

This package contains library source intended for building other packages which
use the "serdect" feature of the "%{crate}" crate.

%files       -n %{name}+serdect-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sha2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sha2-devel %{_description}

This package contains library source intended for building other packages which
use the "sha2" feature of the "%{crate}" crate.

%files       -n %{name}+sha2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sha256-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sha256-devel %{_description}

This package contains library source intended for building other packages which
use the "sha256" feature of the "%{crate}" crate.

%files       -n %{name}+sha256-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+signature-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+signature-devel %{_description}

This package contains library source intended for building other packages which
use the "signature" feature of the "%{crate}" crate.

%files       -n %{name}+signature-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+test-vectors-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+test-vectors-devel %{_description}

This package contains library source intended for building other packages which
use the "test-vectors" feature of the "%{crate}" crate.

%files       -n %{name}+test-vectors-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jan 09 2025 Kai A. Hiller <git@kaialexhiller.de> - 0.13.4-1
- Initial import (fedora#2314124)
## END: Generated by rpmautospec
